Ergebnis 1 bis 2 von 2

Thema: Anleitung: GX1 Shop will nach Serverumzug nicht mehr laufen. Eine Zusammenfassung.

  1. #1
    Neuer Benutzer
    Registriert seit
    02.08.2012
    Ort
    Kiel
    Beiträge
    1
    Downloads
    10
    Uploads
    0

    Anleitung: GX1 Shop will nach Serverumzug nicht mehr laufen. Eine Zusammenfassung.

    Seit einem (unfreiwilligen) Serverumzug vom Hoster Hosting Agency zum Hoster Dogado erhalte ich seit dem Tag des Umzugs (01.12.2017) folgende Fehlermeldung auf der Frontendseite:

    ##########
    WARNING(2): "session_start() [function.session-start]: open(/home/u0068376822/public_html/shop/cache/sess_kbibimkv14kgfcse4t62uc0v17, O_RDWR) failed: No such file or directory (2)" in /var/www/vhosts/h19071.web141.dogado.net/public_html/shop/includes/application_top.php:411 (Details)

    Warnung Warnung: Das Verzeichnis für die Sessions existiert nicht: {direkter Pfad auf dem Server}/shop/cache. Die Sessions werden nicht funktionieren bis das Verzeichnis erstellt wurde!

    Zur Zeit befindet sich unser Shop in Wartungsarbeiten.
    Wir bitten um Ihr Verständnis.

    Wir bitten

    Onlineshop by Gambio.de © 2010
    eCommerce Engine © 2006 xt:Commerce Shopsoftware

    WARNING(2): "Unknown: open({direkter Pfad auf dem Server}/shop/cache/sess_kbibimkv14kgfcse4t62uc0v17, O_RDWR) failed: No such file or directory (2)" in Unknown:0 (Details)

    WARNING(2): "Unknown: Failed to write session data (files). Please verify that the current setting of session.save_path is correct (/{direkter Pfad auf dem Server}/shop/cache)" in Unknown:0 (Details)
    ##########

    Details öffnet auf Klick das Wort "Backtrace:"


    Es lief bisher eine Gambio Shop GX 1 (v1.0.15f SP2.6e r6566).
    Letztes Update war Security_Update_2014-04_GX1
    PHP-Version (Doagado): 5.2.17 (Fast CGI Anwendung Apache)

    Ich dachte an ein Rechte-Problem, aber das war es nicht.
    Stattdessen fehlte in den dateien
    includes/configure.php
    includes/configure.org.php
    admin/includes/configure.php
    admin/includes/configure.org.php

    in Zeile 62 define('STORE_SESSIONS', ''); // leave empty '' for default handler or set to 'mysql'

    das "mysql".

    Nach Einsetzen des wertes mysql für die Variable STORE_SESSIONS lief der Shop im Wartungsmodus.

    Einloggen in den Shop mit dem /login_admin.php nach der Shop-URL.

    Hier sind nun weitere Fehlermeldungen zu sehen:
    WARNUNG:
    Folgende Dateien sind vom Server beschreibbar. Bitte ändern Sie die Zugriffsrechte (Permissions) dieser Datei aus Sicherheitsgründen. (444) in unix, (read-only) in Win32.
    {direkter Pfad auf dem Server}/public_html/shop/includes/configure.org.php
    {direkter Pfad auf dem Server}/public_html/shop/admin/includes/configure.php
    {direkter Pfad auf dem Server}/public_html/shop/admin/includes/configure.org.php
    WARNUNG:
    Folgende Verzeichnisse müssen vom Server beschreibbar sein. Bitte ändern Sie die Zugriffsrechte (Permissions) dieser Verzeichnisse. (777) in unix, (read-write) in Win32.
    {direkter Pfad auf dem Server}/public_html/shop/cache/

    > Also Dateirechte wieder entsprechend setzen.

    Cache in caches/ und templates_c/ gelöscht.

    Danach Wartungsmodus in Live umschalten:
    Im Menü Links im Hauptpunkt Gambio auf "Shop online/offline" klicken und den Haken vor 'Shop offline' entfernen und das Ganze Speichern

    Nun läuft der Shop wieder im Normalzustand.

  2. #2
    Administrator Avatar von KlausK
    Registriert seit
    29.09.2010
    Beiträge
    2.785
    Downloads
    240
    Uploads
    360

    Anleitung: GX1 Shop will nach Serverumzug nicht mehr laufen. Eine Zusammenfassung.

    Wenn ich das richtig verstehe war das jetzt eine Anleitung!? Für diesen Fall habe ich mal das Stichwort "Anleitung" in den Titel gesetzt. Dann lässt sich das besser auffinden.

    Dazu sollte mann auch wissen, dass es im Grunde (bis auf wenige Ausnahmen) keinen Hoster mehr gibt, der noch PHP-v5.2.x anbieten würde.
    PHP-v5.2.17 ist die letzte Sicherheits- und Stabilitätsaktualisierung des Entwicklungszweigs 5.2. vom 06.01.2011
    Ohne weitere spezielle Absicherungen dürfte PHP-v5.2.x mittlerweile sehr anfällig für alle neueren Angriffszenarien sein!
    Auch der Shop selbst genügt den heutigen juristischen Anforderungen nicht mehr, wenn man das nicht selbst von Hand anpasst.
    Mindesten 50% aller Kunden nutzen mittlerweile nur noch ihr Smartphone. Der GX1 ist aber selbst mit dem MobileCandy darauf beinahe unbedienbar.
    etc., etc., etc., ...

    Generell sollte sich jeder mit einem so alten Shop einmal die Mühe machen, einen aktuellen Shop neu aufzusetzen. Auch wenn es ein paar Tage dauert - die Mühe wird auf jeden Fall belohnt!

Ähnliche Themen

  1. Antworten: 0
    Letzter Beitrag: 10.03.2017, 00:13
  2. Antworten: 0
    Letzter Beitrag: 05.04.2016, 10:41
  3. Shop nicht mehr erreichbar nach Umstellung auf PHP5.5
    Von Tonkutscher im Forum Gambio GX Off Topic
    Antworten: 3
    Letzter Beitrag: 26.02.2015, 14:40
  4. Gambio shop lädt nach Dateisicherung nicht mehr
    Von HolgerGr im Forum Gambio GX Frontend Bereich
    Antworten: 3
    Letzter Beitrag: 28.01.2015, 09:09
  5. Shop nach Serverumzug mit kleinen Fehlern
    Von qbert86 im Forum Gambio GX Off Topic
    Antworten: 2
    Letzter Beitrag: 11.08.2011, 21:46

Stichworte

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •